Package com.tibco.patterns.qbp

## Enum AQBPLogger.LogLevel

- java.lang.Object
- - java.lang.Enum<AQBPLogger.LogLevel>
  - - com.tibco.patterns.qbp.AQBPLogger.LogLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AQBPLogger.LogLevel>`
  Enclosing class:
    AQBPLogger

      public static enum AQBPLogger.LogLevel
      extends java.lang.Enum<AQBPLogger.LogLevel>

  The different logging levels supported.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFIG_ERROR` | A configuration error.
    `CONFIG_FATAL` | A configuration error that always causes the logger to throw an exception.
    `CONFIG_WARNING` | A configuration warning message, something that may or may not be an error.
    `ERROR` | An error.
    `FATAL` | An error that always causes the logger to throw an exception.
    `INFO` | An informational message, does not indicate an error.
    `TRACE` | A low level tracing message, for debugging.
    `WARNING` | A warning message, something that may or may not be an error.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `getIdx()` |
    `static AQBPLogger.LogLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AQBPLogger.LogLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FATAL

          public static final AQBPLogger.LogLevel FATAL

      An error that always causes the logger to throw an exception. This can't be disabled.

    - #### CONFIG_FATAL

          public static final AQBPLogger.LogLevel CONFIG_FATAL

      A configuration error that always causes the logger to throw an exception. This can't be disabled.

    - #### ERROR

          public static final AQBPLogger.LogLevel ERROR

      An error.

    - #### CONFIG_ERROR

          public static final AQBPLogger.LogLevel CONFIG_ERROR

      A configuration error.

    - #### WARNING

          public static final AQBPLogger.LogLevel WARNING

      A warning message, something that may or may not be an error.

    - #### CONFIG_WARNING

          public static final AQBPLogger.LogLevel CONFIG_WARNING

      A configuration warning message, something that may or may not be an error.

    - #### INFO

          public static final AQBPLogger.LogLevel INFO

      An informational message, does not indicate an error.

    - #### TRACE

          public static final AQBPLogger.LogLevel TRACE

      A low level tracing message, for debugging.

  - ### Method Detail

    - #### values

          public static AQBPLogger.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AQBPLogger.LogLevel c : AQBPLogger.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AQBPLogger.LogLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIdx

          protected int getIdx()